Skip to main content

Update a Mandate Using a Redirect URL


This section describes how to update a mandate created with the redirect URL method. Updating a mandate requires the transaction ID retrieved from the response when setting up the subscription.

Endpoints

POST /pts/v2/billing-agreements

POST /pts/v2/billing-agreements

See Endpoints for the full per-brand Server URLs reference.

Example

{    "clientReferenceInformation": {        "code": "001"    },    "processingInformation": {        "actionList": [            "AP_UPDATE_AGREEMENT"        ]    },    "merchantInformation": {        "cancelUrl": "http://example.com/cancel",        "successUrl": "http://example.com/success",        "failureUrl": "http://example.com/failure"    },    "orderInformation": {        "invoiceDetails": {            "productDescription": "Mandate"        },        "billTo": {            "title": "Mr",            "firstName": "Create",            "lastName": "Doe",            "address1": "123 Main Street",            "address2": "Apt 4B",            "locality": "Springfield",            "district": "District 9",            "administrativeArea": "IL",            "county": "Clark",            "country": "AU",            "postalCode": "62704",            "email": "[email protected]",            "phoneNumber": "+1234567890"        },        "amountDetails": {            "totalAmount": "150.00",            "currency": "AUD"        }    },    "deviceInformation": {        "ipAddress": "192.168.1.1"    },    "paymentInformation": {        "paymentType": {            "name": "bankTransfer",            "method": {                "name": "payToPayByBank"            }        }    },    "agreementInformation": {        "frequency": "monthly",        "occurencesPerPeriod": 2,        "startDate": "20251205",        "endDate": "20271212"    }}
{    "processorInformation": {        "responseCode": "00001",        "transactionId": "KOO79ID02ZTF"    },    "clientReferenceInformation": {        "code": "001"    },    "message": "Request was processed successfully.",    "agreementInformation": {        "dateCreated": "20260114",        "id": "KOO79ID02ZTF"    },    "status": "PENDING",    "id": "7684072542726576104805",    "submitTimeUtc": "2026-01-14T16:14:14Z"}

Include these required fields to update a mandate:

FieldTypeDescription
clientReferenceInformation.code
orderInformation.invoiceDetails.productDescription
paymentInformation.paymentType.method.nameSet to payToPayByBank.
paymentInformation.paymentType.nameSet to bankTransfer.
processingInformation.actionListSet to AP_UPDATE_AGREEMENT.

If needed, include these optional fields to update a mandate:

Optional Fields
FieldTypeDescription
agreementInformation.endDate
agreementInformation.frequencySet to annual, monthly, quarterly, weekly, daily, adhoc, or fortnightly.
agreementInformation.occurencesPerPeriod
agreementInformation.startDate
agreementInformation.typeSet to recurring, oneoff, split, or usage.
deviceInformation.ipAddress
merchantInformation.cancelUrl
merchantInformation.failureUrl
merchantInformation.successUrl
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
orderInformation.billTo.address1
orderInformation.billTo.address2
orderInformation.billTo.administrativeArea
orderInformation.billTo.country
orderInformation.billTo.county
orderInformation.billTo.district
orderInformation.billTo.email
orderInformation.billTo.firstName
orderInformation.billTo.lastName
orderInformation.billTo.locality
orderInformation.billTo.phoneNumber
orderInformation.billTo.postalCode
orderInformation.billTo.title
paymentInformation.paymentType.method.name
paymentInformation.paymentType.name

Last published: September 29, 2026